Name:		gssntlmssp
Version:	0.9.0
Release:	%mkrel 1
Summary:	GSSAPI NTLMSSP Mechanism
Group:		System/Libraries
License:	LGPLv3+
URL:		https://fedorahosted.org/gss-ntlmssp
Source0:        https://fedorahosted.org/released/gss-ntlmssp/%{name}-%{version}.tar.gz
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	m4
BuildRequires:	xsltproc
BuildRequires:	libxml2
BuildRequires:	docbook-style-xsl
BuildRequires:	doxygen
BuildRequires:	gettext-devel
BuildRequires:	pkgconfig(krb5) >= 1.11.2
BuildRequires:	pkgconfig(gssrpc)
BuildRequires:	libunistring-devel
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(wbclient)

%description
A GSSAPI Mechanism that implements NTLMSSP.

%package	devel
Summary:	Development header for GSSAPI NTLMSSP
Group:		Development/C++

%description	devel
Adds a header file with definition for custom GSSAPI extensions
for NTLMSSP.


%prep
%setup -q
%autopatch -p1

%build
autoreconf -fiv
%configure \
    --with-wbclient \
    --disable-static \
    --disable-rpath

%make_build all

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

%find_lang %{name}

mkdir -p %{buildroot}%{_sysconfdir}/gss/mech.d
install -pm644 examples/mech.ntlmssp %{buildroot}%{_sysconfdir}/gss/mech.d/ntlmssp.conf

%check
make test_gssntlmssp

%files -f %{name}.lang
%doc COPYING
%config(noreplace) %{_sysconfdir}/gss/mech.d/ntlmssp.conf
%{_libdir}/gssntlmssp/
%{_mandir}/man8/gssntlmssp.8*

%files devel
%{_includedir}/gssapi/gssapi_ntlmssp.h


%changelog
* Thu Apr 30 2020 daviddavid <daviddavid> 0.9.0-1.mga8
+ Revision: 1573417
- new version: 0.9.0

* Sun Apr 26 2020 daviddavid <daviddavid> 0.8.0-1.mga8
+ Revision: 1572189
- new version: 0.8.0
- remove merged upstream patch

* Fri Feb 14 2020 umeabot <umeabot> 0.7.0-2.mga8
+ Revision: 1520237
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Nov 11 2018 daviddavid <daviddavid> 0.7.0-1.mga7
+ Revision: 1329454
- initial package gssntlmssp

